Skip to content
Permalink
Browse files

8235243: handle VS2017 15.9 and VS2019 in abstract_vm_version

Reviewed-by: dholmes, mdoerr
  • Loading branch information
Matthias Baesken
Matthias Baesken committed Dec 3, 2019
1 parent ddb989d commit fb830f6a533acc321d6ef7cf268fd88abba870f2
Showing with 10 additions and 0 deletions.
  1. +10 −0 src/hotspot/share/runtime/abstract_vm_version.cpp
@@ -227,6 +227,16 @@ const char* Abstract_VM_Version::internal_vm_info_string() {
#define HOTSPOT_BUILD_COMPILER "MS VC++ 15.7 (VS2017)"
#elif _MSC_VER == 1915
#define HOTSPOT_BUILD_COMPILER "MS VC++ 15.8 (VS2017)"
#elif _MSC_VER == 1916
#define HOTSPOT_BUILD_COMPILER "MS VC++ 15.9 (VS2017)"
#elif _MSC_VER == 1920
#define HOTSPOT_BUILD_COMPILER "MS VC++ 16.0 (VS2019)"
#elif _MSC_VER == 1921
#define HOTSPOT_BUILD_COMPILER "MS VC++ 16.1 (VS2019)"
#elif _MSC_VER == 1922
#define HOTSPOT_BUILD_COMPILER "MS VC++ 16.2 (VS2019)"
#elif _MSC_VER == 1923
#define HOTSPOT_BUILD_COMPILER "MS VC++ 16.3 (VS2019)
#else
#define HOTSPOT_BUILD_COMPILER "unknown MS VC++:" XSTR(_MSC_VER)
#endif

0 comments on commit fb830f6

Please sign in to comment.
You can’t perform that action at this time.